﻿using Infragistics.WebUI.UltraWebChart;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace KB9531_UltraChartMaxImageCount_WebApplication1
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // "#SEQNUM(5)"の"5"の部分で最大何個まで生成するかを指定できます。
            UltraChart1.DeploymentScenario.ImageURL = @"ChartImages/Chart_#SEQNUM(5).png";

            UltraChart1.DataSource = GetColumnData();
            UltraChart1.DataBind();
        }

        private DataTable GetColumnData()
        {
            DataTable mydata = new DataTable();
            // 列と列名を定義します。
            mydata.Columns.Add("Series Labels", typeof(string));
            mydata.Columns.Add("Column A", typeof(int));
            mydata.Columns.Add("Column B", typeof(int));
            mydata.Columns.Add("Column C", typeof(int));
            mydata.Columns.Add("Column D", typeof(int));
            // データの行を追加します。
            mydata.Rows.Add(new Object[] { "Series A", 1, 4, 10, 4 });
            mydata.Rows.Add(new Object[] { "Series B", 3, 6, 4, 5 });
            mydata.Rows.Add(new Object[] { "Series C", 5, 8, 6, 7 });
            mydata.Rows.Add(new Object[] { "Series D", 7, 10, 7, 7 });
            return mydata;
        }
    }
}